package com.djhk.uav.equ.domain;

import com.djhk.common.annotation.Excel;
import com.djhk.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 equ_model_param
 * 
 * @author ruoyi
 * @date 2023-06-05
 */
public class EquModelParam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long paramSeq;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long modelId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String paramCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String paramValue;

    public void setParamSeq(Long paramSeq) 
    {
        this.paramSeq = paramSeq;
    }

    public Long getParamSeq() 
    {
        return paramSeq;
    }
    public void setModelId(Long modelId) 
    {
        this.modelId = modelId;
    }

    public Long getModelId() 
    {
        return modelId;
    }
    public void setParamCode(String paramCode) 
    {
        this.paramCode = paramCode;
    }

    public String getParamCode() 
    {
        return paramCode;
    }
    public void setParamValue(String paramValue) 
    {
        this.paramValue = paramValue;
    }

    public String getParamValue() 
    {
        return paramValue;
    }

    public String getParamName() {
        return paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    private String paramName;

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    private String dataType;

    private Integer decCnt;

    public Integer getDecCnt() {
        return decCnt;
    }

    public void setDecCnt(Integer decCnt) {
        this.decCnt = decCnt;
    }

    public Integer getMinVal() {
        return minVal;
    }

    public void setMinVal(Integer minVal) {
        this.minVal = minVal;
    }

    public Integer getMaxVal() {
        return maxVal;
    }

    public void setMaxVal(Integer maxVal) {
        this.maxVal = maxVal;
    }

    private Integer minVal;
    private Integer maxVal;



}
